(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     17161,        433]
NotebookOptionsPosition[     16307,        410]
NotebookOutlinePosition[     16756,        427]
CellTagsIndexPosition[     16713,        424]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input",
 CellLabel->
  "In[882]:=",ExpressionUUID->"d292c045-f745-44fd-a356-48161b9c2892"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "Souproud", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Quiet", "@", 
     RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"T1", "=", "60"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"T2", "=", "50"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"T3", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"T4", "=", "44"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalDelta]1", "=", 
     RowBox[{"T1", "-", "T3"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalDelta]2", "=", 
     RowBox[{"T2", "-", "T4"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"P", "=", "34000."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"solKs", "=", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"P", "==", 
        RowBox[{"kS", "*", 
         FractionBox[
          RowBox[{"\[CapitalDelta]1", "-", "\[CapitalDelta]2"}], 
          RowBox[{"Log", "[", 
           FractionBox["\[CapitalDelta]1", "\[CapitalDelta]2"], "]"}]]}]}], 
       "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cVoda", "=", "4186"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cVzduch", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mWNom", "=", 
     RowBox[{"mTeckaVoda", "/.", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{"P", "\[Equal]", 
         RowBox[{"mTeckaVoda", "*", "cVoda", "*", 
          RowBox[{"(", 
           RowBox[{"T1", "-", "T2"}], ")"}]}]}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"solMa", "=", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"P", "\[Equal]", 
        RowBox[{"mTeckaVzduch", "*", "cVzduch", "*", 
         RowBox[{"(", 
          RowBox[{"T4", "-", "T3"}], ")"}]}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mANom", "=", 
     RowBox[{"mTeckaVzduch", "/.", "solMa"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"KS", "=", 
     RowBox[{"kS", "/.", "solKs"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Rho]Vzduch", "=", 
     FractionBox["349", 
      RowBox[{"T4", "+", "273"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"VTecka", "*", "\[Rho]Vzduch"}], "\[Equal]", "mTeckaVzduch"}], 
      "/.", "solMa"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"funkce", "[", 
      RowBox[{"TaIn_", ",", "TwIn_", ",", "mw_", ",", "ma_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "rce", ",", "TaOut", ",", "TwOut", ",", "P", ",", "\[CapitalDelta]1", 
         ",", "\[CapitalDelta]2", ",", "rceLin", ",", "solLin", ",", "sol"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalDelta]1", "=", 
         RowBox[{"TwIn", "-", "TaIn"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[CapitalDelta]2", "=", 
         RowBox[{"TwOut", "-", "TaOut"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"rce", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"P", "\[Equal]", 
            RowBox[{"KS", "*", 
             FractionBox[
              RowBox[{"\[CapitalDelta]1", "-", "\[CapitalDelta]2"}], 
              RowBox[{"Log", "[", 
               FractionBox["\[CapitalDelta]1", "\[CapitalDelta]2"], 
               "]"}]]}]}], ",", 
           RowBox[{"P", "==", 
            RowBox[{"mw", "*", "cVoda", "*", 
             RowBox[{"(", 
              RowBox[{"TwIn", "-", "TwOut"}], ")"}]}]}], ",", 
           RowBox[{"P", "==", 
            RowBox[{"ma", "*", "cVzduch", "*", 
             RowBox[{"(", 
              RowBox[{"TaOut", "-", "TaIn"}], ")"}]}]}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"rceLin", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"P", "\[Equal]", 
            RowBox[{"KS", "*", 
             FractionBox[
              RowBox[{"\[CapitalDelta]1", "+", "\[CapitalDelta]2"}], "2"]}]}],
            ",", 
           RowBox[{"P", "==", 
            RowBox[{"mw", "*", "cVoda", "*", 
             RowBox[{"(", 
              RowBox[{"TwIn", "-", "TwOut"}], ")"}]}]}], ",", 
           RowBox[{"P", "==", 
            RowBox[{"ma", "*", "cVzduch", "*", 
             RowBox[{"(", 
              RowBox[{"TaOut", "-", "TaIn"}], ")"}]}]}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"solLin", "=", 
         RowBox[{
          RowBox[{"Solve", "[", "rceLin", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"sol", "=", 
         RowBox[{"FindRoot", "[", 
          RowBox[{"rce", ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"P", ",", "TaOut", ",", "TwOut"}], "}"}], ",", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"P", ",", "TaOut", ",", "TwOut"}], "}"}], "/.", 
               "solLin"}]}], "}"}], "\[Transpose]"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Chop", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"P", ",", "TaOut", ",", "TwOut"}], "}"}], "/.", "sol"}], 
         "]"}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"funkce", "[", 
    RowBox[{"T3", ",", 
     RowBox[{"T1", "+", "10"}], ",", "mWNom", ",", "mANom"}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.843623749309869*^9, 3.843623765172637*^9}, {
   3.8436238086878777`*^9, 3.8436243301799393`*^9}, {3.843624454320774*^9, 
   3.8436244655009947`*^9}, {3.8436245440903006`*^9, 
   3.8436251208396063`*^9}, {3.843625194159541*^9, 3.8436252163880672`*^9}, {
   3.843625292616295*^9, 3.843625319697012*^9}, {3.8436253821909137`*^9, 
   3.843625406780033*^9}, {3.843625496581129*^9, 3.843625498154668*^9}, {
   3.8436255999364724`*^9, 3.8436256671755514`*^9}, {3.843625799039886*^9, 
   3.8436258110911393`*^9}, {3.843625875647161*^9, 3.8436259162518854`*^9}, {
   3.843625949465701*^9, 3.843625959016281*^9}, {3.8436263000026717`*^9, 
   3.843626303713788*^9}, {3.8436265233740673`*^9, 3.8436265269380608`*^9}, 
   3.843626557814875*^9, {3.843626675153673*^9, 3.8436267798205876`*^9}, 
   3.8436268173019285`*^9, {3.843627226557543*^9, 3.8436272325064793`*^9}, {
   3.843627287207465*^9, 3.8436273037505035`*^9}, {3.843627344193142*^9, 
   3.8436273666223464`*^9}},
 CellLabel->
  "In[1151]:=",ExpressionUUID->"e9076475-3d95-40e7-adfc-ccdf20d8c0d1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"40800.`", ",", "50.800000000000004`", ",", "58.`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.843623969684969*^9, 3.8436239772855945`*^9}, {
   3.8436241233612967`*^9, 3.843624147881044*^9}, 3.8436243308820477`*^9, 
   3.843624427534156*^9, {3.843624676301547*^9, 3.843624696661785*^9}, 
   3.843624750485279*^9, {3.8436248043681383`*^9, 3.8436248477959585`*^9}, {
   3.843624914537985*^9, 3.84362495964187*^9}, 3.8436250100233555`*^9, 
   3.843625121588611*^9, 3.843625219983283*^9, {3.843625294628832*^9, 
   3.84362532032094*^9}, {3.8436253830936036`*^9, 3.8436254077986803`*^9}, 
   3.8436254984021378`*^9, 3.8436255565127144`*^9, {3.843625661558735*^9, 
   3.8436256682632113`*^9}, 3.8436258118778543`*^9, {3.843625883185085*^9, 
   3.8436259169227047`*^9}, {3.84362595073833*^9, 3.843625959718383*^9}, 
   3.843626304253065*^9, {3.843626529777689*^9, 3.8436265584166746`*^9}, {
   3.8436266761410484`*^9, 3.8436267802686615`*^9}, 3.843626817749983*^9, 
   3.8436270805225935`*^9, {3.8436272277455316`*^9, 3.843627233108284*^9}, {
   3.843627287787119*^9, 3.8436273043210335`*^9}, 3.8436273671394634`*^9},
 CellLabel->
  "Out[1169]=",ExpressionUUID->"d7a66141-cd0c-44e5-861a-4b9901bdffd1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "Protiproud", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Quiet", "@", 
     RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"T1", "=", "60"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"T2", "=", "50"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"T3", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"T4", "=", "44"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalDelta]1", "=", 
     RowBox[{"T1", "-", "T4"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalDelta]2", "=", 
     RowBox[{"T2", "-", "T3"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"P", "=", "34000."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"solKs", "=", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"P", "==", 
        RowBox[{"kS", "*", 
         FractionBox[
          RowBox[{"\[CapitalDelta]1", "-", "\[CapitalDelta]2"}], 
          RowBox[{"Log", "[", 
           FractionBox["\[CapitalDelta]1", "\[CapitalDelta]2"], "]"}]]}]}], 
       "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cVoda", "=", "4186"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cVzduch", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mWNom", "=", 
     RowBox[{"mTeckaVoda", "/.", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{"P", "\[Equal]", 
         RowBox[{"mTeckaVoda", "*", "cVoda", "*", 
          RowBox[{"(", 
           RowBox[{"T1", "-", "T2"}], ")"}]}]}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"solMa", "=", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"P", "\[Equal]", 
        RowBox[{"mTeckaVzduch", "*", "cVzduch", "*", 
         RowBox[{"(", 
          RowBox[{"T4", "-", "T3"}], ")"}]}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mANom", "=", 
     RowBox[{"mTeckaVzduch", "/.", "solMa"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"KS", "=", 
     RowBox[{"kS", "/.", "solKs"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Rho]Vzduch", "=", 
     FractionBox["349", 
      RowBox[{"T4", "+", "273"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"VTecka", "*", "\[Rho]Vzduch"}], "\[Equal]", "mTeckaVzduch"}], 
      "/.", "solMa"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"funkce", "[", 
      RowBox[{"TaIn_", ",", "TwIn_", ",", "mw_", ",", "ma_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "rce", ",", "TaOut", ",", "TwOut", ",", "P", ",", "\[CapitalDelta]1", 
         ",", "\[CapitalDelta]2", ",", "rceLin", ",", "solLin", ",", "sol"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalDelta]1", "=", 
         RowBox[{"TwIn", "-", "TaOut"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[CapitalDelta]2", "=", 
         RowBox[{"TwOut", "-", "TaIn"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"rce", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"P", "\[Equal]", 
            RowBox[{"KS", "*", 
             FractionBox[
              RowBox[{"\[CapitalDelta]1", "-", "\[CapitalDelta]2"}], 
              RowBox[{"Log", "[", 
               FractionBox["\[CapitalDelta]1", "\[CapitalDelta]2"], 
               "]"}]]}]}], ",", 
           RowBox[{"P", "==", 
            RowBox[{"mw", "*", "cVoda", "*", 
             RowBox[{"(", 
              RowBox[{"TwIn", "-", "TwOut"}], ")"}]}]}], ",", 
           RowBox[{"P", "==", 
            RowBox[{"ma", "*", "cVzduch", "*", 
             RowBox[{"(", 
              RowBox[{"TaOut", "-", "TaIn"}], ")"}]}]}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"rceLin", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"P", "\[Equal]", 
            RowBox[{"KS", "*", 
             FractionBox[
              RowBox[{"\[CapitalDelta]1", "+", "\[CapitalDelta]2"}], "2"]}]}],
            ",", 
           RowBox[{"P", "==", 
            RowBox[{"mw", "*", "cVoda", "*", 
             RowBox[{"(", 
              RowBox[{"TwIn", "-", "TwOut"}], ")"}]}]}], ",", 
           RowBox[{"P", "==", 
            RowBox[{"ma", "*", "cVzduch", "*", 
             RowBox[{"(", 
              RowBox[{"TaOut", "-", "TaIn"}], ")"}]}]}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"solLin", "=", 
         RowBox[{
          RowBox[{"Solve", "[", "rceLin", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"sol", "=", 
         RowBox[{"FindRoot", "[", 
          RowBox[{"rce", ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"P", ",", "TaOut", ",", "TwOut"}], "}"}], ",", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"P", ",", "TaOut", ",", "TwOut"}], "}"}], "/.", 
               "solLin"}]}], "}"}], "\[Transpose]"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Chop", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"P", ",", "TaOut", ",", "TwOut"}], "}"}], "/.", "sol"}], 
         "]"}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"funkce", "[", 
    RowBox[{"T3", ",", 
     RowBox[{"T1", "+", "10"}], ",", "mWNom", ",", "mANom"}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.843623749309869*^9, 3.843623765172637*^9}, {
   3.8436238086878777`*^9, 3.8436243301799393`*^9}, {3.843624454320774*^9, 
   3.8436244655009947`*^9}, {3.8436245440903006`*^9, 
   3.8436251208396063`*^9}, {3.843625194159541*^9, 3.8436252163880672`*^9}, {
   3.843625292616295*^9, 3.843625319697012*^9}, {3.8436253821909137`*^9, 
   3.843625406780033*^9}, {3.843625496581129*^9, 3.843625498154668*^9}, {
   3.8436255999364724`*^9, 3.8436256671755514`*^9}, {3.843625799039886*^9, 
   3.8436258110911393`*^9}, {3.843625875647161*^9, 3.8436259162518854`*^9}, {
   3.843625949465701*^9, 3.843625959016281*^9}, {3.8436263000026717`*^9, 
   3.843626303713788*^9}, {3.8436265233740673`*^9, 3.8436265269380608`*^9}, 
   3.843626557814875*^9, {3.843626675153673*^9, 3.8436267798205876`*^9}, 
   3.8436268173019285`*^9, {3.8436270962848463`*^9, 3.8436272189662485`*^9}, {
   3.8436272564936857`*^9, 3.843627275820226*^9}, {3.843627373442548*^9, 
   3.8436273739440494`*^9}},
 CellLabel->
  "In[1170]:=",ExpressionUUID->"b503d89c-0eb9-4d7e-abca-7b5b064a56a7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"40799.99999999999`", ",", "50.8`", ",", "58.`"}], "}"}]], "Output",
 CellChangeTimes->{{3.8436271690863786`*^9, 3.843627276807577*^9}, 
   3.8436273747151833`*^9},
 CellLabel->
  "Out[1188]=",ExpressionUUID->"4e63bd00-f7b3-44cf-b579-51cd61476e58"]
}, Open  ]]
},
WindowSize->{1158, 840},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification:>1.9 Inherited,
FrontEndVersion->"11.3 for Microsoft Windows (64-bit) (March 6, 2018)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 413, 11, 152, "Input",ExpressionUUID->"d292c045-f745-44fd-a356-48161b9c2892"],
Cell[CellGroupData[{
Cell[995, 35, 6863, 169, 1526, "Input",ExpressionUUID->"e9076475-3d95-40e7-adfc-ccdf20d8c0d1"],
Cell[7861, 206, 1236, 19, 85, "Output",ExpressionUUID->"d7a66141-cd0c-44e5-861a-4b9901bdffd1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9134, 230, 6867, 169, 1526, "Input",ExpressionUUID->"b503d89c-0eb9-4d7e-abca-7b5b064a56a7"],
Cell[16004, 401, 287, 6, 118, "Output",ExpressionUUID->"4e63bd00-f7b3-44cf-b579-51cd61476e58"]
}, Open  ]]
}
]
*)

